Bug 687987 - Review Request: plymouth-theme-hot-dog - Plymouth Happy Hot Dog Theme
Summary: Review Request: plymouth-theme-hot-dog - Plymouth Happy Hot Dog Theme
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Nalley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-15 22:58 UTC by Will Woods
Modified: 2018-02-07 16:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
david: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Will Woods 2011-03-15 22:58:06 UTC
Spec URL: http://wwoods.fedorapeople.org/hot-dog/plymouth-theme-hot-dog.spec
SRPM URL: http://wwoods.fedorapeople.org/hot-dog/plymouth-theme-hot-dog-0.3-1.fc14.src.rpm

Description: 
This package contains the Happy Hot Dog boot splash theme for Plymouth.
The mustard indicates progress.

Installable RPM: http://wwoods.fedorapeople.org/hot-dog/plymouth-theme-hot-dog-0.3-1.fc14.noarch.rpm

See also: http://wwoods.fedorapeople.org/hot-dog/

Comment 1 David Nalley 2011-03-21 16:48:09 UTC
/me is shocked that no one has yet taken this on in the week proceeding. 
Allow me to do the honors for the Beefy Miracle :)

Comment 2 David Nalley 2011-03-21 20:45:44 UTC
Source0 isn't a proper URL
GPL isn't a valid license tag. 

Those are the only problems I see at the moment.

Comment 3 Christoph Wickert 2011-03-21 21:51:24 UTC
Please use %global instead of %define. Other than that the spec looks good and beefy miracle can save our souls soon.

Comment 4 Michel Alexandre Salim 2011-04-01 15:29:25 UTC
is the review stalled somewhat? Beefy Miracle already has its own downloadable spin today!

Comment 5 Will Woods 2011-04-06 15:38:59 UTC
Sorry, got held up by other tasks. New spec uploaded to:
http://wwoods.fedorapeople.org/hot-dog/plymouth-theme-hot-dog.spec

No code changes, so there's no new RPMs.

Comment 6 David Nalley 2011-04-06 23:43:07 UTC
Source0 still isn't fixed, and release number and changelog weren't incremented.

Comment 7 Will Woods 2011-04-07 00:33:36 UTC
Y'know, it'd be helpful if you mentioned the suggested fix, or gave a link to the page containing the relevant guideline.

Nevertheless... FEAST YOUR EYEMEATS UPON THIS:
http://wwoods.fedorapeople.org/hot-dog/plymouth-theme-hot-dog.spec
http://wwoods.fedorapeople.org/hot-dog/plymouth-theme-hot-dog-0.3-2.fc14.src.rpm
http://wwoods.fedorapeople.org/hot-dog/plymouth-theme-hot-dog-0.3-2.fc14.noarch.rpm

Comment 8 David Nalley 2011-04-08 16:47:27 UTC
sorry about my lack of verbosity. 

My only point of concern is that I see no licensing comments anywhere outside of the spec, and thus can't confirm the license, and while I know that this content was produced inside fedora, having something that explicitly says what it is in the tarball would make me feel more warm and fuzzy. Also this is largely a content package - the real content here is the images, so I wonder if CC-BY-SA is not more appropriate (content submitted to fedora sans a license automatically gets cc-by-sa 3.0 unported, whereas code submitted to fedora sans a license automatically gets MIT, though maybe that's what is written in the new FPCA and thus doesn't apply yet.) 

Thoughts?? 

[OK] MUST: rpmlint must be run on every package
[ke4qqq@nalleyx200 SPECS]$ rpmlint ./plymouth-theme-hot-dog.spec ../RPMS/noarch/plymouth-theme-hot-dog-0.3-2.fc14.noarch.rpm ../SRPMS/plymouth-theme-hot-dog-0.3-2.fc14.src.rpm 

2 packages and 1 specfiles checked; 0 errors, 0 warnings.

[OK] MUST: The package must be named according to the Package Naming 
         Guidelines
[OK] MUST: The spec file name must match the base package %{name} [...]
[OK] MUST: The package must meet the Packaging Guidelines
[FIX] MUST: The package must be licensed with a Fedora approved license
         and meet the Licensing Guidelines
[FIX] MUST: The License field in the package spec file must match the 
         actual license
[NA] MUST: If (and only if) the source package includes the text of the 
         license(s) in its own file, then that file, containing the text of 
         the license(s) for the package must be included in %doc
[OK] MUST: The spec file must be written in American English.
[OK] MUST: The spec file for the package MUST be legible.
[OK] MUST: The sources used to build the package must match the upstream 
         source, as provided in the spec URL. Reviewers should use md5sum for 
         this task. If no upstream URL can be specified for this package, 
         please see the Source URL Guidelines for how to deal with this.
[ke4qqq@nalleyx200 SOURCES]$ md5sum plymouth-theme-hot-dog-0.3.tar.bz2*
164502f2256f2d83b6f1b0f91db0fc7b  plymouth-theme-hot-dog-0.3.tar.bz2
164502f2256f2d83b6f1b0f91db0fc7b  plymouth-theme-hot-dog-0.3.tar.bz2.1

[OK] MUST: The package MUST successfully compile and build into binary 
         rpms on at least one primary architecture
[NA] MUST: If the package does not successfully compile, build or work on 
         an architecture, then those architectures should be listed in the 
         spec in ExcludeArch. Each architecture listed in ExcludeArch MUST 
         have a bug filed in bugzilla, describing the reason that the package 
         does not compile/build/work on that architecture. The bug number MUST 
         be placed in a comment, next to the corresponding ExcludeArch line
[OK] MUST: All build dependencies must be listed in BuildRequires, except 
         for any that are listed in the exceptions section of the Packaging 
         Guidelines ; inclusion of those as BuildRequires is optional. Apply 
         common sense.
[NA] MUST: The spec file MUST handle locales properly. This is done by 
         using the %find_lang macro. Using %{_datadir}/locale/* is strictly 
         forbidden
[NA] MUST: Every binary RPM package (or subpackage) which stores shared 
         library files (not just symlinks) in any of the dynamic linker's 
         default paths, must call ldconfig in %post and %postun.
[NA] MUST: If the package is designed to be relocatable, the packager must 
         state this fact in the request for review, along with the 
         rationalization for relocation of that specific package. Without 
         this, use of Prefix: /usr is considered a blocker.
[OK] MUST: A package must own all directories that it creates. If it does 
         not create a directory that it uses, then it should require a package 
         which does create that directory.
[OK] MUST: A package must not contain any duplicate files in the %files 
         listing.
[OK] MUST: Permissions on files must be set properly. Executables should 
         be set with executable permissions, for example. Every %files section 
         must include a %defattr(...) line.
[OK] MUST: Each package must have a %clean section, which contains rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[OK] MUST: Each package must consistently use macros.
[OK] MUST: The package must contain code, or permissable content.
[OK] MUST: Large documentation files must go in a -doc subpackage. (The 
         definition of large is left up to the packager's best judgement, but 
         is not restricted to size. Large can refer to either size or 
         quantity).
[OK] MUST: If a package includes something as %doc, it must not affect the 
         runtime of the application. To summarize: If it is in %doc, the 
         program must run properly if it is not present.
[NA] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: Packages containing pkgconfig(.pc) files must 'Requires: 
         pkgconfig' (for directory ownership and usability).
[NA] MUST: If a package contains library files with a suffix (e.g. 
         libfoo.so.1.1), then library files that end in .so (without suffix) 
         must go in a -devel package.
[NA] MUST: In the vast majority of cases, devel packages must require the 
         base package using a fully versioned dependency: Requires: %{name} =
         %{version}-%{release}
[NA] MUST: Packages must NOT contain any .la libtool archives, these must 
         be removed in the spec if they are built.
[NA] MUST: Packages containing GUI applications must include a
         %{name}.desktop file, and that file must be properly installed with 
         desktop-file-install in the %install section. If you feel that your 
         packaged GUI application does not need a .desktop file, you must put 
         a comment in the spec file with your explanation.
[OK] MUST: Packages must not own files or directories already owned by 
         other packages. The rule of thumb here is that the first package to 
         be installed should own the files or directories that other packages 
         may rely upon. This means, for example, that no package in Fedora 
         should ever share ownership with any of the files or directories 
         owned by the filesystem or man package. If you feel that you have a 
         good reason to own a file or directory that another package owns, 
         then please present that at package review time.
[OK] MUST: At the beginning of %install, each package MUST run rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[OK] MUST: All filenames in rpm packages must be valid UTF-8.

Comment 9 Will Woods 2011-04-08 18:03:46 UTC
I actually thought CC-BY-SA made more sense as well; I'll have to make sure the original authors of the image(s) are credited somewhere in the package.

Comment 10 Will Woods 2011-10-02 11:02:49 UTC
AT LONG LAST! LOOK UPON THE BEEFY MIRACLE, YE MIGHTY, AND DESPAIR:

http://wwoods.fedorapeople.org/hot-dog/plymouth-theme-hot-dog-0.4-1.fc16.src.rpm
http://wwoods.fedorapeople.org/hot-dog/plymouth-theme-hot-dog.spec

I consider this a blocker for F16. And F15. We must go back in time and add this to F15. BOARD THE TIME MACHINE AND LET US MAKE HISTORY.

Comment 11 Christoph Wickert 2011-10-11 22:55:24 UTC
FYI: According to
http://darkmattermatters.com/2011/10/11/the-origins-of-the-beefy-miracle
beefy miracle was created by Kyle Hoyt. http://www.stationzero.org/kylehoyt/

David, can we continue with this?

Comment 12 Robin R. Price II 2011-10-14 21:14:06 UTC
Do your enterprise install a favor or impress your friends with:

http://people.redhat.com/rprice/hot-dog/plymouth-theme-hot-dog-0.4-2.el6.src.rpm
http://people.redhat.com/rprice/hot-dog/plymouth-theme-hot-dog.spec

Comment 13 David Nalley 2011-10-14 21:17:28 UTC
APPROVED

Thanks for working on this Will.

Comment 14 Christoph Wickert 2011-10-16 07:36:16 UTC
New Package SCM Request
=======================
Package Name: plymouth-theme-hot-dog
Short Description: 
Owners: wwoods
Branches: f14 f15 f16 el6
InitialCC: cwickert

Comment 15 Gwyn Ciesla 2011-10-16 16:47:52 UTC
Please include a description.

Comment 16 Christoph Wickert 2011-10-16 23:07:23 UTC
Sorry, my bad.

New Package SCM Request
=======================
Package Name: plymouth-theme-hot-dog
Short Description: Plymouth Happy Hot Dog Theme
Owners: wwoods
Branches: f14 f15 f16 el6
InitialCC: cwickert

Comment 17 Gwyn Ciesla 2011-10-17 12:49:17 UTC
Git done (by process-git-requests).

Comment 18 John Brier 2012-03-14 14:50:34 UTC
What is the status of this? I don't see the package in F16

Comment 19 Michel Alexandre Salim 2012-04-22 05:15:32 UTC
Nor in F17. Ping?


Note You need to log in before you can comment on or make changes to this bug.